com.qualcomm.robotcore.hardware

## Enum HardwareDevice.Manufacturer

- java.lang.Object
- - java.lang.Enum<HardwareDevice.Manufacturer>
  - - com.qualcomm.robotcore.hardware.HardwareDevice.Manufacturer

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HardwareDevice.Manufacturer>
  Enclosing interface:
    HardwareDevice

      public static enum HardwareDevice.Manufacturer
      extends java.lang.Enum<HardwareDevice.Manufacturer>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Adafruit`
    `AMS`
    `HiTechnic`
    `Lego`
    `Lynx`
    `Matrix`
    `ModernRobotics`
    `Other`
    `STMicroelectronics`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HardwareDevice.Manufacturer` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HardwareDevice.Manufacturer[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final HardwareDevice.Manufacturer Unknown

    - #### Other

          public static final HardwareDevice.Manufacturer Other

    - #### Lego

          public static final HardwareDevice.Manufacturer Lego

    - #### HiTechnic

          public static final HardwareDevice.Manufacturer HiTechnic

    - #### ModernRobotics

          public static final HardwareDevice.Manufacturer ModernRobotics

    - #### Adafruit

          public static final HardwareDevice.Manufacturer Adafruit

    - #### Matrix

          public static final HardwareDevice.Manufacturer Matrix

    - #### Lynx

          public static final HardwareDevice.Manufacturer Lynx

    - #### AMS

          public static final HardwareDevice.Manufacturer AMS

    - #### STMicroelectronics

          public static final HardwareDevice.Manufacturer STMicroelectronics

  - ### Method Detail

    - #### values

          public static HardwareDevice.Manufacturer[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HardwareDevice.Manufacturer c : HardwareDevice.Manufacturer.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HardwareDevice.Manufacturer valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null